uuid: af02de6a-997f-4fdf-8573-24b8f0570ded
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.newsletter.body
    - field.field.node.newsletter.field_department
    - field.field.node.newsletter.field_meta_tags
    - field.field.node.newsletter.field_reference_content
    - field.field.node.newsletter.field_related_content_view
    - field.field.node.newsletter.field_related_links
    - field.field.node.newsletter.field_remote_video_images
    - field.field.node.newsletter.field_scheduled
    - field.field.node.newsletter.field_tag
    - field.field.node.newsletter.field_yoast_seo
    - node.type.newsletter
  module:
    - link
    - text
    - user
    - viewfield
id: node.newsletter.teaser
targetEntityType: node
bundle: newsletter
mode: teaser
content:
  body:
    type: text_summary_or_trimmed
    label: hidden
    settings:
      trim_length: 600
    third_party_settings: {  }
    weight: 0
    region: content
  field_department:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 5
    region: content
  field_reference_content:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 1
    region: content
  field_related_content_view:
    type: viewfield_default
    label: hidden
    settings:
      view_title: hidden
      always_build_output: false
      empty_view_title: hidden
    third_party_settings: {  }
    weight: 4
    region: content
  field_related_links:
    type: link
    label: hidden
    settings:
      trim_length: 80
      url_only: false
      url_plain: false
      rel: ''
      target: ''
    third_party_settings: {  }
    weight: 3
    region: content
  field_remote_video_images:
    type: entity_reference_entity_view
    label: hidden
    settings:
      view_mode: default
      link: true
    third_party_settings: {  }
    weight: 2
    region: content
  field_tag:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 6
    region: content
hidden:
  content_moderation_control: true
  field_meta_tags: true
  field_scheduled: true
  field_yoast_seo: true
  langcode: true
  links: true
  search_api_excerpt: true
